Utiliser iThemes Security avec WP Rocket

WP Rocket est compatible avec l'extension  iThemes Security.

iThemes Security possède une option afin d'empêcher les fichiers système d'être modifiés (c'est une fonctionnalité de sécurité utile). 

Cependant, WP Rocket a besoin d'une autorisation pour écrire dans .htaccess, wp-config.php ainsi que pour créer le fichier advanced-cache.php et les dossiers cache et wp-rocket-config. Les permissions des dossiers doivent donc être sur 755, 775 ou même 777 sur certaines plates-formes d'hébergement. Les permissions de fichiers doivent être sur 644 (valeurs par défaut de WordPress).

Une fois que vous avez installé WP Rocket, assurez-vous d'avoir désactivé la protection des fichiers système :

Dans le cas où cette option est activée lorsque vous activez WP Rocket, le cache ne sera pas activé et vous verrez l'erreur suivante :